<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <meta name="generator" content="pandoc" />
  <title></title>
  <style type="text/css">code{white-space: pre;}</style>
  <link rel="stylesheet" href="/home/rfo/Transfert-local/Informatique/Pandoc/markdown-pandoc.css" type="text/css" />
</head>
<body>
<h1 id="description">Description</h1>
<p>Le contenu de ce site est également accessible sur https://gitlab.com/richard.fournier.toulouse/partage</p>
<p>Il s'agit de partager une pratique informatique. Suite à la visite d'un magasin de hifi où tout était cher et tout le discours idiot, j'ai décidé de rentrer en résitance. Non pas seulement contre les magasins de hifi, mais contre la tristesse d'un certain rapport à l'informatique.</p>
<p>Je ne suis pas informaticien, mais l'informatique me plaît quand elle</p>
<ul>
<li>favorise le partage (et le rire),</li>
<li>n'est pas chère,</li>
<li>ne pose de limites à aucun acteur (bataille sociale),</li>
<li>se pense avant tout en termes esthétiques.</li>
</ul>
<p>Dans ce magasin, le son n'était plus qu'une branche de l'informatique devenue affreuse, chère, le vendeur immergé dans cette laideur était devenu bête et triste, et si j'avais acheté un de ces appareils, à coup sûr il aurait bridé mon rapport à la musique, aurait fermé des portes, alors que je compte sur la musique (et sur toutes les pratiques artistiques) pour ouvrir des portes au contraire. L'informatique était là comme elle est partout. Mais ce n'est pas partout qu'elle est moche. Il y a au contraire beaucoup de belle informatique dans le monde de la muisque. A nous de trouver les moyens de faire disparaître l'informatique moche, partout.</p>
<h1 id="unix">Unix</h1>
<p>Pour un rapport fin à l'informatique, aujourd'hui c'est sous unix.</p>
<p>Il y un unix en natif sous windows, un unix à la base de mac et un unix à la base d'android. Malheureusement ce sont trois mauvais exemples et il va falloir accepter l'idée que ces industriels mettent à votre disposition des unix faciles d'accès mais inutilisables. Si vous êtes confrontés à l'un de ces trois systèmes, vous devrez investir un peu de temps pour installer, au coeur de ce système, un unix qui vous permette de travailler dans de bonnes conditions. On donnera un <strong>exemple d'installation d'unix sous android</strong>.</p>
<p>Bien sûr, vous n'aurez aucune de ces difficultés si vous utilsez un unix comme système principal. Aujourd'hui c'est possible facilement sur tout type de matériel. Vous pouvez donc prendre un vieux mac, effacer le système mac et mettre un unix à la place. Vous pouvez prendre un vieux PC sous windows, effacer windows et mettre un unix à la place. Vous pouvez bien sûr aussi acheter un ordinateur dédié et installer un unix à partir de zéro. On donnera un <strong>exemple d'installation d'unix sur un raspberry pie</strong>.</p>
<h2 id="unix-sur-un-téléphone-android">Unix sur un téléphone android</h2>
<p>Vous pouvez installer UserLAnd et sélectionner debian lorsqu'on vous demandera de choisir une distribution de GNU/Linux. Parmi les unix existants, GNU/Linux est de loin le plus répandu. Parmi les distributions de GNU/Linux est l'une des plus connues et des mieux documentées.</p>
<p>Ensuite vous rentrez votre mot de passe et vous lancez les deux commandes suivantes : <code>sudo apt-get update</code> <code>sudo apt-get upgrade</code></p>
<p>A ce stade, vous avez déjà un unix opérationnel et vous pouvez commencer à vous entrainer. Ce que vous saisissez dans la ligne de commande est interprété en language <code>bash</code>. Vous pouvez donc suivre n'importe quel tutoriel de bash.</p>
<h2 id="ancien-texte-sur-termux">Ancien texte sur Termux</h2>
<p>Vous pouvez installer <code>Termux</code>. Il vous faudra aussi un éditeur, et sous <code>Termux</code> l'édition sera difficile. Donc vous pouvez installer <code>QuickEdit</code> et nous ferons l'edition sous android et non sous <code>Termux</code>. De façon générale, tout ce qui nécessite une minimum d'aisance avec le clavier ou de graphique sera fait sous android.</p>
<p>apt update apt upgrade termux-setup-storage</p>
<p>apt install nameOfPackage : installe le package apt remove nameOfPackage : supprime un package apt list : liste les packages disponibles apt show nameOfPackage : fournit des informations sur un package apt list –installed: fournit la liste des packages installés</p>
<p>htop vim python git wget openssh texlive-full</p>
<p>Volume Down+A : Move cursor to the beginning of line Volume Down+C : Abort (send SIGINT to) current process Volume Down+D : Logout of a terminal session Volume Down+E : Move cursor to the end of line Volume Down+K : Delete from cursor to the end of line Volume Down+L : Clear the terminal Volume Down+Z : Suspend (send SIGTSTP to) current process Volume Up+L : | (the pipe character) Volume Up+E : Escape key Volume Up+T : Tab key Volume Up+1 : F1 (and Volume Up+2 : F2, etc) Volume Up+B : Alt+B, back a word when using readline Volume Up+F : Alt+F, forward a word when using readline Volume Up+W : Up arrow key Volume Up+A : Left arrow key Volume Up+S : Down arrow key Volume Up+D : Right arrow key Volume Up+. : Ctrl+(SIGQUIT) Volume Up+U : _ (underscore) Volume Up+X : Delete Volume Up+P : Page Up Volume Up+N : Page Down</p>
<p>copier les fichiers de .ssh dans document creer .ssh se mettre sous .ssh utiliser cp à partir de là pour aller chercher les fichiers de .ssh dans document effacer les fichiers de document</p>
<h1 id="git">Git</h1>
<h1 id="rapsberry-pi">Rapsberry Pi</h1>
<h1 id="un-bon-son-pas-cher-conversion-numérique-analogique">Un bon son pas cher : Conversion numérique-analogique</h1>
</body>
</html>
